@import "customVariables";
@import "../../node_modules/bootstrap/scss/bootstrap";

html {
  scroll-behavior: smooth;
}

.navbar {
  transition: all 0.3s;
  .navbar-toggler {
    outline: none;
  }
}

.scrolled {
  background: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  .navbar-brand {
    color: #1d82ff;
    &:hover {
      color: #1d82ff;
    }
  }
  .navbar-toggler {
    outline: none;
  }
  #navbarSupportedContent {
    .nav-link {
      color: #212529;
    }
    .nav-link.active {
      color: #1d82ff;
    }
    .scrolled-btn {
      border: none;
      background: #00ca4c;
      color: #fff;
    }
  }
}

#hero {
  position: relative;
  overflow: hidden;
  background: linear-gradient(45deg, #665fee 0%, #27c2de 100%);
  .container {
    min-height: 100vh;
    padding-bottom: 11rem;
    padding-top: 11rem;
    &::after {
      content: "";
      display: block;
      position: absolute;
      bottom: 0;
      width: 500vw;
      height: 20vh;
      background: #f2f4f9;
      transform: translateX(-25%) rotateZ(-4deg);
    }
    .hero-content {
      color: #dfe6e9;
      .sub-heading {
        font-size: 1.2rem;
      }
    }
    .text-field {
      background: #f2f4f9;
      border: none;
      &:focus {
        background: #fff;
      }
    }
  }
}

#features {
  position: relative;
  overflow: hidden;
  background: #f2f4f9;
  .container {
    min-height: 100vh;
    padding-bottom: 10rem;
    &::after {
      content: "";
      display: block;
      position: absolute;
      bottom: 0;
      width: 500vw;
      height: 20vh;
      background: #fff;
      transform: translateX(-25%) rotateZ(-4deg);
    }
    @media (min-width: 992px) {
      padding-top: 10rem;
    }
    .icon {
      font-size: 3rem;
      color: #3aa4e3;
    }
    .content {
      font-size: 1.2rem;
    }
  }
}

#reviews {
  position: relative;
  overflow: hidden;
  .container {
    min-height: 100vh;
    padding-bottom: 10rem;
    &::after {
      content: "";
      display: block;
      position: absolute;
      bottom: 0;
      width: 500vw;
      height: 20vh;
      background: #f2f4f9;
      transform: translateX(-25%) rotateZ(-4deg);
    }
    @media (min-width: 992px) {
      padding-top: 10rem;
    }
    .slick-slide {
      outline: none;
    }
    i {
      font-size: 1.4rem;
      color: #ffd500;
    }
    img {
      width: 50px;
      transform: translateX(-30%);
    }
  }
}

#pricing {
  position: relative;
  overflow: hidden;
  background: #f2f4f9;
  .container {
    min-height: 100vh;
    padding-bottom: 12rem;
    &::after {
      content: "";
      display: block;
      position: absolute;
      bottom: 0;
      width: 500vw;
      height: 20vh;
      background: #fff;
      transform: translateX(-25%) rotateZ(-4deg);
    }
    @media (min-width: 992px) {
      padding-top: 10rem;
    }
    .price {
      font-size: 1.4rem;
      span {
        color: #1d82ff;
        font-size: 3rem;
        sup {
          font-size: 1.6rem;
        }
      }
    }
  }
}

#faq {
  position: relative;
  overflow: hidden;
  background: #fff;
  .container {
    min-height: 100vh;
    padding-bottom: 8rem;
    &::after {
      content: "";
      display: block;
      position: absolute;
      bottom: 0;
      width: 500vw;
      height: 20vh;
      background: #f2f4f9;
      transform: translateX(-25%) rotateZ(-4deg);
    }
    @media (min-width: 992px) {
      padding-top: 10rem;
    }
    .card {
      border: none;
      &:nth-of-type(-n+4) {
        border-bottom: 1px solid #e9ecef;
      }
      button {
        background: #fff;
        color: #1d82ff;
        text-align: left;
        padding: 1.5rem 1.4rem;
        font-size: 1.3rem;
        &:hover,
        &:focus {
          text-decoration: none;
        }
      }
      .collapsed {
        color: #495057;
      }
    }
  }
}

footer {
  padding: 5rem 0;
  background: #f2f4f9;
  i {
    color: #1d82ff;
    font-size: 1.5rem;
  }
}
